PanamaCipherInfo< B > Struct Template Reference

Panama stream cipher information. More...

`#include <panama.h>`

Inheritance diagram for PanamaCipherInfo< B >:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 32 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function.

## Additional Inherited Members

Static Public Attributes inherited from FixedKeyLength< 32, SimpleKeyingInterface::UNIQUE_IV, 32 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant.

## Detailed Description

template<class B>
struct PanamaCipherInfo< B >

Panama stream cipher information.

Definition at line 134 of file panama.h.

## Member Function Documentation

## StaticAlgorithmName()

template<class B >

static const char * PanamaCipherInfo< B >::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 136 of file panama.h.

The documentation for this struct was generated from the following file:

- panama.h